import 'package:leoo_junpro/generated/json/base/json_convert_content.dart';
import 'package:leoo_junpro/leooflagjunpro/leooentityjunpro/leoobaseentity.dart';

LeooBaseEntity $LeooBaseEntityFromJson(Map<String, dynamic> json) {
	final LeooBaseEntity leooBaseEntity = LeooBaseEntity();
	final int? status = jsonConvert.convert<int>(json['status']);
	if (status != null) {
		leooBaseEntity.status = status;
	}
	final bool? success = jsonConvert.convert<bool>(json['success']);
	if (success != null) {
		leooBaseEntity.success = success;
	}
	final String? message = jsonConvert.convert<String>(json['message']);
	if (message != null) {
		leooBaseEntity.message = message;
	}
	final dynamic? data = jsonConvert.convert<dynamic>(json['data']);
	if (data != null) {
		leooBaseEntity.data = data;
	}
	final List<LeooErrorFields>? errorFields = jsonConvert.convertListNotNull<LeooErrorFields>(json['errorFields']);
	if (errorFields != null) {
		leooBaseEntity.errorFields = errorFields;
	}
	return leooBaseEntity;
}

Map<String, dynamic> $LeooBaseEntityToJson(LeooBaseEntity entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['status'] = entity.status;
	data['success'] = entity.success;
	data['message'] = entity.message;
	data['data'] = entity.data;
	data['errorFields'] =  entity.errorFields?.map((v) => v.toJson()).toList();
	return data;
}

LeooErrorFields $LeooErrorFieldsFromJson(Map<String, dynamic> json) {
	final LeooErrorFields leooErrorFields = LeooErrorFields();
	final String? errorMessage = jsonConvert.convert<String>(json['errorMessage']);
	if (errorMessage != null) {
		leooErrorFields.errorMessage = errorMessage;
	}
	return leooErrorFields;
}

Map<String, dynamic> $LeooErrorFieldsToJson(LeooErrorFields entity) {
	final Map<String, dynamic> data = <String, dynamic>{};
	data['errorMessage'] = entity.errorMessage;
	return data;
}