import 'package:leoo_junpro/generated/json/base/json_field.dart';
import 'package:leoo_junpro/generated/json/leoobaseentity.g.dart';

@JsonSerializable()
class LeooBaseEntity {
  LeooBaseEntity();

  factory LeooBaseEntity.fromJson(Map<String, dynamic> json) =>
      $LeooBaseEntityFromJson(json);

  Map<String, dynamic> toJson() => $LeooBaseEntityToJson(this);

  int status = 2001;
  bool success = false;
  String message = '';
  dynamic data;
  List<LeooErrorFields>? errorFields;
}

@JsonSerializable()
class LeooErrorFields {
  LeooErrorFields();

  factory LeooErrorFields.fromJson(Map<String, dynamic> json) =>
      $LeooErrorFieldsFromJson(json);

  Map<String, dynamic> toJson() => $LeooErrorFieldsToJson(this);

  String? errorMessage;
}
